foldersTree = gFld("<i>Index</i>", "")
	cat1 = insFld(foldersTree, gFld("Methods of objects", ""))
			insDoc(cat1, gLnk(3, "addBar (DFrame)", "reference/addBar.html"))
			insDoc(cat1, gLnk(3, "addBarLayer (DFrame and Bar)", "reference/addAndUseBarLayers.html"))
			insDoc(cat1, gLnk(3, "addButton (DFrame and Bar)", "reference/addButton.html"))
			insDoc(cat1, gLnk(3, "addButtonImage (DFrame and Bar)", "reference/addButtonImage.html"))
			insDoc(cat1, gLnk(3, "addButtons (DFrame)", "reference/addButtons.html"))
			insDoc(cat1, gLnk(3, "addButtons (DFrame and Bar)", "reference/addButtons.html"))
			insDoc(cat1, gLnk(3, "addContextMenu (DFrame)", "reference/addContextMenu.html"))
			insDoc(cat1, gLnk(3, "addMenu (DFrame and Bar)", "reference/addMenu.html"))
			insDoc(cat1, gLnk(3, "addTaskBars (DFrame)", "reference/addTaskMenuAndBar.html"))
			insDoc(cat1, gLnk(3, "addTaskMenu (DFrame)", "reference/addTaskMenuAndBar.html"))
			insDoc(cat1, gLnk(3, "addText (DFrame and Bar)", "reference/addText.html"))
			insDoc(cat1, gLnk(3, "addTitleBar (DFrame, Bar and Menu)", "reference/addTitleBar.html"))
			insDoc(cat1, gLnk(3, "addToTaskBars (DFrame)", "reference/addTaskMenuAndBar.html"))
			insDoc(cat1, gLnk(3, "addToTaskMenus (DFrame)", "reference/addTaskMenuAndBar.html"))
			insDoc(cat1, gLnk(3, "checkStyle (DFrameAPI)", "reference/checkStyle.html"))
			insDoc(cat1, gLnk(3, "closeFrame (DFrame)", "reference/closeFrame.html"))
			insDoc(cat1, gLnk(3, "createDynAPIDocument (DFrame)", "reference/createDynAPIDocument.html"))
			insDoc(cat1, gLnk(3, "find (DFrameCollector)", "reference/DFrameCollectorClass.html"))
			insDoc(cat1, gLnk(3, "getButton (Bar and Menu)", "reference/getButton.html"))
			insDoc(cat1, gLnk(3, "getContent (DFrameAPI)", "reference/getContent.html"))
			insDoc(cat1, gLnk(3, "getEditMode (DFrame)", "reference/getEditMode.html"))
			insDoc(cat1, gLnk(3, "getParentDFrame (DFrame)", "reference/getParentDFrame.html"))
			insDoc(cat1, gLnk(3, "getStyle (All)", "reference/getStyle.html"))
			insDoc(cat1, gLnk(3, "getTarget (DFrame)", "reference/setAndGetTarget.html"))
			insDoc(cat1, gLnk(3, "getURL (DFrame)", "reference/setAndGetURL.html"))
			insDoc(cat1, gLnk(3, "include (DFrameAPI)", "reference/include.html"))
			insDoc(cat1, gLnk(3, "onContentLoad (DFrameAPI)", "reference/getContent.html"))
			insDoc(cat1, gLnk(3, "onEvent (DFrame)", "reference/onEvent.html"))
			insDoc(cat1, gLnk(3, "onLoad (DFrameAPI)", "reference/onLoad.html"))
			insDoc(cat1, gLnk(3, "preloadImage (DFrameAPI)", "reference/preloadImage.html"))
			insDoc(cat1, gLnk(3, "register (DFrameCollector)", "reference/DFrameCollectorClass.html"))
			insDoc(cat1, gLnk(3, "setBackgroundColor (DFrameAPI)", "reference/setBackgroundColor.html"))
			insDoc(cat1, gLnk(3, "setDebugName (All)", "reference/setDebugName.html"))
			insDoc(cat1, gLnk(3, "setHideOnRecover (DFrame)", "reference/setHideOnRecover.html"))
			insDoc(cat1, gLnk(3, "setInactive (Button)", "reference/setInactive.html"))
			insDoc(cat1, gLnk(3, "setLook (Button)", "reference/setLook.html"))
			insDoc(cat1, gLnk(3, "setMultipleTarget (DFrame)", "reference/setAndGetTarget.html"))
			insDoc(cat1, gLnk(3, "setStyle (All)", "reference/setStyle.html"))
			insDoc(cat1, gLnk(3, "setTarget (DFrame)", "reference/setAndGetTarget.html"))
			insDoc(cat1, gLnk(3, "setTaskBarTitle (DFrame)", "reference/setTitleAndTaskBarTitle.html"))
			insDoc(cat1, gLnk(3, "setText (Button)", "reference/setText.html"))
			insDoc(cat1, gLnk(3, "setTitle (DFrame)", "reference/setTitleAndTaskBarTitle.html"))
			insDoc(cat1, gLnk(3, "setTitleAsHTMLTitle (DFrame)", "reference/setTitleAndTaskBarTitle.html"))
			insDoc(cat1, gLnk(3, "setURL (DFrame)", "reference/setAndGetURL.html"))
			insDoc(cat1, gLnk(3, "show (All)", "reference/show.html"))
			insDoc(cat1, gLnk(3, "show (BarLayer)", "reference/show.html"))
			insDoc(cat1, gLnk(3, "submitForm (DFrame)", "reference/submitForm.html"))
			insDoc(cat1, gLnk(3, "useContextMenu (DFrame)", "reference/addContextMenu.html"))
	cat2 = insFld(foldersTree, gFld("Methods of Styles", ""))
			insDoc(cat2, gLnk(3, "copyStyle (ButtonStyle)", "styles/copyStyle.html"))
			insDoc(cat2, gLnk(3, "copyTitleBarToBottom (DFrame, Bar and MenuStyle)", "styles/setTitleBar.html"))
			insDoc(cat2, gLnk(3, "resetButtons (BarStyle)", "styles/setButton.html"))
			insDoc(cat2, gLnk(3, "setAlwaysOnTop", "styles/setAlwaysOnTop.html"))
			insDoc(cat2, gLnk(3, "setAlwaysOnTopOfAll", "styles/setAlwaysOnTop.html"))
			insDoc(cat2, gLnk(3, "setArrowImage (MenuStyle)", "styles/setArrowImage.html"))
			insDoc(cat2, gLnk(3, "setAutoHeight (BarStyle)", "styles/bar-setPosAndWidthHeight.html"))
			insDoc(cat2, gLnk(3, "setAutoHeight (ButtonStyle)", "styles/button-setPosAndWidthHeight.html"))
			insDoc(cat2, gLnk(3, "setAutoWidth (BarStyle)", "styles/bar-setPosAndWidthHeight.html"))
			insDoc(cat2, gLnk(3, "setAutoWidth (ButtonStyle)", "styles/button-setPosAndWidthHeight.html"))
			insDoc(cat2, gLnk(3, "setAutoWidth (MenuStyle)", "styles/menu-setPosAndWidthHeight.html"))
			insDoc(cat2, gLnk(3, "setBackgroundColor (All)", "styles/setBackgroundImageAndColor.html"))
			insDoc(cat2, gLnk(3, "setBackgroundImage (All)", "styles/setBackgroundImageAndColor.html"))
			insDoc(cat2, gLnk(3, "setBgDown (ButtonStyle)", "styles/onEvent.html"))
			insDoc(cat2, gLnk(3, "setBgInactive (ButtonStyle)", "styles/onEvent.html"))
			insDoc(cat2, gLnk(3, "setBgNormal (ButtonStyle)", "styles/onEvent.html"))
			insDoc(cat2, gLnk(3, "setBgRoll (ButtonStyle)", "styles/onEvent.html"))
			insDoc(cat2, gLnk(3, "setBgRollSelected (ButtonStyle)", "styles/onEvent.html"))
			insDoc(cat2, gLnk(3, "setBgSelected (ButtonStyle)", "styles/onEvent.html"))
			insDoc(cat2, gLnk(3, "setBorderBottomWidth (All)", "styles/setBordersWidth.html"))
			insDoc(cat2, gLnk(3, "setBorderLeftWidth (All)", "styles/setBordersWidth.html"))
			insDoc(cat2, gLnk(3, "setBorderRightWidth (All)", "styles/setBordersWidth.html"))
			insDoc(cat2, gLnk(3, "setBordersColor (All)", "styles/setBordersColor.html"))
			insDoc(cat2, gLnk(3, "setBordersDarkThreeD (All)", "styles/setBordersColor.html"))
			insDoc(cat2, gLnk(3, "setBordersDown (ButtonStyle)", "styles/onEvent.html"))
			insDoc(cat2, gLnk(3, "setBordersHMargin (Bar and MenuStyle)", "styles/setBordersXMargin.html"))
			insDoc(cat2, gLnk(3, "setBordersInactive (ButtonStyle)", "styles/onEvent.html"))
			insDoc(cat2, gLnk(3, "setBordersLightThreeD (All)", "styles/setBordersColor.html"))
			insDoc(cat2, gLnk(3, "setBordersNormal (ButtonStyle)", "styles/onEvent.html"))
			insDoc(cat2, gLnk(3, "setBordersRoll (ButtonStyle)", "styles/onEvent.html"))
			insDoc(cat2, gLnk(3, "setBordersRollSelected (ButtonStyle)", "styles/onEvent.html"))
			insDoc(cat2, gLnk(3, "setBordersSelected (ButtonStyle)", "styles/onEvent.html"))
			insDoc(cat2, gLnk(3, "setBordersType (Dframe, Bar and MenuStyle)", "styles/setBordersColor.html"))
			insDoc(cat2, gLnk(3, "setBordersVMargin (BarStyle and MenuStyle)", "styles/setBordersXMargin.html"))
			insDoc(cat2, gLnk(3, "setBordersWidth (All)", "styles/setBordersWidth.html"))
			insDoc(cat2, gLnk(3, "setBorderTopWidth (All)", "styles/setBordersWidth.html"))
			insDoc(cat2, gLnk(3, "setBosDown (ButtonStyle)", "styles/onEvent.html"))
			insDoc(cat2, gLnk(3, "setBosInactive (ButtonStyle)", "styles/onEvent.html"))
			insDoc(cat2, gLnk(3, "setBosNormal (ButtonStyle)", "styles/onEvent.html"))
			insDoc(cat2, gLnk(3, "setBosRoll (ButtonStyle)", "styles/onEvent.html"))
			insDoc(cat2, gLnk(3, "setBosRollSelected (ButtonStyle)", "styles/onEvent.html"))
			insDoc(cat2, gLnk(3, "setBosSelected (ButtonStyle)", "styles/onEvent.html"))
			insDoc(cat2, gLnk(3, "setButton (BarStyle)", "styles/setButton.html"))
			insDoc(cat2, gLnk(3, "setButtonImage (BarStyle)", "styles/setButton.html"))
			insDoc(cat2, gLnk(3, "setButtons (BarStyle)", "styles/setButton.html"))
			insDoc(cat2, gLnk(3, "setCentered (Dframe, Bar and ButtonStyle)", "styles/setCentered.html"))
			insDoc(cat2, gLnk(3, "setCloseImage (ButtonStyle)", "styles/setCloseImage.html"))
			insDoc(cat2, gLnk(3, "setContentBgColor (DFrameStyle)", "styles/setContentImageAndColor.html"))
			insDoc(cat2, gLnk(3, "setContentBgImage (DFrameStyle)", "styles/setContentImageAndColor.html"))
			insDoc(cat2, gLnk(3, "setDefaultBarStyle (DFrameStyle)", "styles/dFrame-setDefaultXXXStyle.html"))
			insDoc(cat2, gLnk(3, "setDefaultButtonStyle (BarStyle)", "styles/bar-setDefaultXXXStyle.html"))
			insDoc(cat2, gLnk(3, "setDefaultContextMenuStyle (DFrameStyle)", "styles/dFrame-setDefaultXXXStyle.html"))
			insDoc(cat2, gLnk(3, "setDefaultMenuStyle (BarStyle)", "styles/bar-setDefaultXXXStyle.html"))
			insDoc(cat2, gLnk(3, "setDefaultTaskBarStyle (DFrameStyle)", "styles/dFrame-setDefaultXXXStyle.html"))
			insDoc(cat2, gLnk(3, "setDefaultTitleBarStyle (DFrame, Bar and MenuStyle)", "styles/setTitleBar.html"))
			insDoc(cat2, gLnk(3, "setDragEnabled (DFrame and BarStyle)", "styles/setDragEnabled.html"))
			insDoc(cat2, gLnk(3, "setFontFamily (ButtonStyle)", "styles/setFont.html"))
			insDoc(cat2, gLnk(3, "setFontSize (ButtonStyle)", "styles/setFont.html"))
			insDoc(cat2, gLnk(3, "setFreezeBottomSide (BarStyle)", "styles/setFreezeXXXSide.html"))
			insDoc(cat2, gLnk(3, "setFreezeLeftSide (BarStyle)", "styles/setFreezeXXXSide.html"))
			insDoc(cat2, gLnk(3, "setFreezeRightSide (BarStyle)", "styles/setFreezeXXXSide.html"))
			insDoc(cat2, gLnk(3, "setFreezeTopSide (BarStyle)", "styles/setFreezeXXXSide.html"))
			insDoc(cat2, gLnk(3, "setHCentered (All)", "styles/setCentered.html"))
			insDoc(cat2, gLnk(3, "setHeight (ButtonStyle)", "styles/button-setPosAndWidthHeight.html"))
			insDoc(cat2, gLnk(3, "setHeight (DFrame, Bar and ButtonStyle)", "styles/bar-setPosAndWidthHeight.html"))
			insDoc(cat2, gLnk(3, "setHeight (DFrameStyle)", "styles/dFrame-setPosAndWidthHeight.html"))
			insDoc(cat2, gLnk(3, "setIBordersColor (DFrameStyle)", "styles/setIandMBorders.html"))
			insDoc(cat2, gLnk(3, "setIBordersType (DFrameStyle)", "styles/setIandMBorders.html"))
			insDoc(cat2, gLnk(3, "setIBordersWidth (DFrameStyle)", "styles/setIandMBorders.html"))
			insDoc(cat2, gLnk(3, "setImageBorderB (DFrame and BarStyle)", "styles/setImages.html"))
			insDoc(cat2, gLnk(3, "setImageBorderL (DFrame and BarStyle)", "styles/setImages.html"))
			insDoc(cat2, gLnk(3, "setImageBorderR (DFrame and BarStyle)", "styles/setImages.html"))
			insDoc(cat2, gLnk(3, "setImageBorderT (DFrame and BarStyle)", "styles/setImages.html"))
			insDoc(cat2, gLnk(3, "setImageCornerBL (DFrame and BarStyle)", "styles/setImages.html"))
			insDoc(cat2, gLnk(3, "setImageCornerLT (DFrame and BarStyle)", "styles/setImages.html"))
			insDoc(cat2, gLnk(3, "setImageCornerRB (DFrame and BarStyle)", "styles/setImages.html"))
			insDoc(cat2, gLnk(3, "setImageCornerTR (DFrame and BarStyle)", "styles/setImages.html"))
			insDoc(cat2, gLnk(3, "setImageDown (ButtonStyle)", "styles/onEvent.html"))
			insDoc(cat2, gLnk(3, "setImageHAlign (ButtonStyle)", "styles/setImagePosition.html"))
			insDoc(cat2, gLnk(3, "setImageHMargin (ButtonStyle)", "styles/setImagePosition.html"))
			insDoc(cat2, gLnk(3, "setImageInactive (ButtonStyle)", "styles/onEvent.html"))
			insDoc(cat2, gLnk(3, "setImageNormal (ButtonStyle)", "styles/onEvent.html"))
			insDoc(cat2, gLnk(3, "setImageRoll (ButtonStyle)", "styles/onEvent.html"))
			insDoc(cat2, gLnk(3, "setImageRollSelected (ButtonStyle)", "styles/onEvent.html"))
			insDoc(cat2, gLnk(3, "setImageSelected (ButtonStyle)", "styles/onEvent.html"))
			insDoc(cat2, gLnk(3, "setImageVAlign (ButtonStyle)", "styles/setImagePosition.html"))
			insDoc(cat2, gLnk(3, "setImageVMargin (ButtonStyle)", "styles/setImagePosition.html"))
			insDoc(cat2, gLnk(3, "setIndentX (BarStyle)", "styles/setIndent.html"))
			insDoc(cat2, gLnk(3, "setIndentY (BarStyle)", "styles/setIndent.html"))
			insDoc(cat2, gLnk(3, "setIosDown (ButtonStyle)", "styles/onEvent.html"))
			insDoc(cat2, gLnk(3, "setIosInactive (ButtonStyle)", "styles/onEvent.html"))
			insDoc(cat2, gLnk(3, "setIosNormal (ButtonStyle)", "styles/onEvent.html"))
			insDoc(cat2, gLnk(3, "setIosRoll (ButtonStyle)", "styles/onEvent.html"))
			insDoc(cat2, gLnk(3, "setIosRollSelected (ButtonStyle)", "styles/onEvent.html"))
			insDoc(cat2, gLnk(3, "setIosSelected (ButtonStyle)", "styles/onEvent.html"))
			insDoc(cat2, gLnk(3, "setIsTree (MenuStyle)", "styles/setIsTree.html"))
			insDoc(cat2, gLnk(3, "setItemsActivateOn (ButtonStyle)", "styles/setActivateOn.html"))
			insDoc(cat2, gLnk(3, "setItemsHAlign (Bar and MenuStyle)", "styles/setStartFrom.html"))
			insDoc(cat2, gLnk(3, "setItemsHSpacing (BarStyle)", "styles/setItemsXSpacing.html"))
			insDoc(cat2, gLnk(3, "setItemsSpacing (MenuStyle)", "styles/setItemsSpacing.html"))
			insDoc(cat2, gLnk(3, "setItemsStyle (MenuStyle)", "styles/setItemsStyle.html"))
			insDoc(cat2, gLnk(3, "setItemsVAlign (BarStyle)", "styles/setStartFrom.html"))
			insDoc(cat2, gLnk(3, "setItemsVSpacing (BarStyle)", "styles/setItemsXSpacing.html"))
			insDoc(cat2, gLnk(3, "setLabelBottomMargin (ButtonStyle)", "styles/setLabelAlign.html"))
			insDoc(cat2, gLnk(3, "setLabelLeftMargin (ButtonStyle)", "styles/setLabelAlign.html"))
			insDoc(cat2, gLnk(3, "setLabelRightMargin (ButtonStyle)", "styles/setLabelAlign.html"))
			insDoc(cat2, gLnk(3, "setLabelTopMargin (ButtonStyle)", "styles/setLabelAlign.html"))
			insDoc(cat2, gLnk(3, "setMBordersWidth (DFrameStyle)", "styles/setIandMBorders.html"))
			insDoc(cat2, gLnk(3, "setMenuIndent (MenuStyle)", "styles/setMenuIndent.html"))
			insDoc(cat2, gLnk(3, "setMessageBgColor (DFrameStyle)", "styles/setMessageProperties.html"))
			insDoc(cat2, gLnk(3, "setMessageBold (DFrameStyle)", "styles/setMessageProperties.html"))
			insDoc(cat2, gLnk(3, "setMessageColor (DFrameStyle)", "styles/setMessageProperties.html"))
			insDoc(cat2, gLnk(3, "setMessageFontFamily (DFrameStyle)", "styles/setMessageProperties.html"))
			insDoc(cat2, gLnk(3, "setMessageFontSize (DFrameStyle)", "styles/setMessageProperties.html"))
			insDoc(cat2, gLnk(3, "setMessageItalic (DFrameStyle)", "styles/setMessageProperties.html"))
			insDoc(cat2, gLnk(3, "setOverlayParentBars (DFrame, Bar and ButtonStyle)", "styles/setOverlayParentBars.html"))
			insDoc(cat2, gLnk(3, "setPos (BarStyle)", "styles/bar-setPosAndWidthHeight.html"))
			insDoc(cat2, gLnk(3, "setPos (ButtonStyle)", "styles/button-setPosAndWidthHeight.html"))
			insDoc(cat2, gLnk(3, "setPos (DFrameStyle)", "styles/dFrame-setPosAndWidthHeight.html"))
			insDoc(cat2, gLnk(3, "setPos (MenuStyle)", "styles/menu-setPosAndWidthHeight.html"))
			insDoc(cat2, gLnk(3, "setStartFrom (BarStyle)", "styles/setStartFrom.html"))
			insDoc(cat2, gLnk(3, "setStdBarLayer (BarLayer)", "reference/addAndUseBarLayers.html"))
			insDoc(cat2, gLnk(3, "setTextDown (ButtonStyle)", "styles/onEvent.html"))
			insDoc(cat2, gLnk(3, "setTextInactive (ButtonStyle)", "styles/onEvent.html"))
			insDoc(cat2, gLnk(3, "setTextNormal (ButtonStyle)", "styles/onEvent.html"))
			insDoc(cat2, gLnk(3, "setTextRoll (ButtonStyle)", "styles/onEvent.html"))
			insDoc(cat2, gLnk(3, "setTextRollSelected (ButtonStyle)", "styles/onEvent.html"))
			insDoc(cat2, gLnk(3, "setTextSelected (ButtonStyle)", "styles/onEvent.html"))
			insDoc(cat2, gLnk(3, "setTitleBar (DFrame, Bar and MenuStyle)", "styles/setTitleBar.html"))
			insDoc(cat2, gLnk(3, "setVCentered (All)", "styles/setCentered.html"))
			insDoc(cat2, gLnk(3, "setWidth (BarStyle)", "styles/bar-setPosAndWidthHeight.html"))
			insDoc(cat2, gLnk(3, "setWidth (ButtonStyle)", "styles/button-setPosAndWidthHeight.html"))
			insDoc(cat2, gLnk(3, "setWidth (DFrameStyle)", "styles/dFrame-setPosAndWidthHeight.html"))
			insDoc(cat2, gLnk(3, "setWidth (MenuStyle)", "styles/menu-setPosAndWidthHeight.html"))
	cat3 = insFld(foldersTree, gFld("Misc", ""))
			insDoc(cat3, gLnk(3, "buttonsArrayDefinition", "reference/buttonsArrayDefinition.html"))
			insDoc(cat3, gLnk(3, "defaultStyles", "styles/defaultStyles.html"))
			insDoc(cat3, gLnk(3, "defautStyles: Summary", "styles/defaultstyles-Summary.html"))
			insDoc(cat3, gLnk(3, "dFrameFilePath", "reference/dFrameFilePath.html"))
			insDoc(cat3, gLnk(3, "filePath", "styles/filePath.html"))
			insDoc(cat3, gLnk(3, "onloadDFrame", "reference/onloadDFrame.html"))
			insDoc(cat3, gLnk(3, "Parameters", "reference/parameters.html"))
			insDoc(cat3, gLnk(3, "Programming actions for Buttons", "reference/programmingActionsForButtons.html"))
			insDoc(cat3, gLnk(3, "Position of objects", "reference/position.html"))
			insDoc(cat3, gLnk(3, "Styles for Menus", "styles/stylesForMenus.html"))
